import 'package:json_annotation/json_annotation.dart';

part 'user_data.g.dart';

@JsonSerializable()
class UserModel {
  String? uid;
  String? userName;
  String? nick_name;
  String? phone;
  String? exp1;
  String? avatar;
  String? tmpHead;
  String? tmpNickName;
  int? deleted;
  String? status;
  int? created_at;
  String? email;

  UserModel();
  static UserModel fromJson(Map<String, dynamic> json) =>
      _$UserModelFromJson(json);
  Map<String, dynamic> toJson() => _$UserModelToJson(this);
}
